Subject: Re: I-D Action: draft-kucherawy-nomcom-procexp-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Sat, 9 Apr 2016 16:19:26 +1200

>    The
>    purpose of this constraint is to prefer community members that have
>    had an opportunity to observe the contributions and conduct of other
>    members directly rather than purely through remote participation.

s/an opportunity/a recent opportunity/

I think that was really the point - prefer people who had recently been
able to make observations of behaviour, and avoid old-timers who don't
participate much any more.

>    3.  A new reason to challenge a selection is that a specific member
>        who has not attended three of the last five meetings of the IETF
>        is not suitable for the NomCom.  Such a challenge must be
>        accompanied by an explanation of why that particular member is
>        not suitable.

I think this is too general and judgmental. Suggestion:

   3.  A new reason to challenge a selection is that a specific member
       who has not attended three of the last five meetings of the IETF
       does not have enough recent participation of any kind to be an
       effective member of the NomCom.  Such a challenge must be
       accompanied by a specific explanation of why the challenger
       considers this to be the case.

I do think one possible outcome needs to be added:

   X.  That the results of the experiment suggest that the changes made
       in Section 2 are damaging and should not be applied again;

I regard this as unlikely, but I disagree with the comment that the
experiment is bound to succeed. I can think of a number of failure
scenarios, several of which would cause the NomCom chair to abort
the process.

Regards
   Brian

---

From: Yoav Nir <[email-masked]>
Date: Sat, 9 Apr 2016 16:45:32 +0200

> scenarios, several of which would cause the NomCom chair to abort

My comment was that anything short of a disaster is bound to be considered a success. IOW an outcome that is somewhat worse than the current situation will be indistinguishable from success.

Yoav

---

From: Michael Richardson <[email-masked]>
Date: Sat, 09 Apr 2016 17:14:46 -0400

> considers this to be the case.

Is this challenge public?
I think that it is, but I'm not certain if all of it is public.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 9 Apr 2016 20:49:14 -0700

> I think that it is, but I'm not certain if all of it is public.
Looks like it doesn't have to be, as I read Section 4.17 of RFC7437.

-MSK

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 10 Apr 2016 15:53:26 +1200

> Looks like it doesn't have to be, as I read Section 4.17 of RFC7437.

Regardless, I would think we would want challenges that said things
like "Brian Carpenter really hasn't been active enough in the last
couple of years to be able to evaluate the candidates" rather than
vaguely suggest that he is isn't suitable.

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 9 Apr 2016 21:46:54 -0700

> vaguely suggest that he is isn't suitable.

Does bullet 3 in Section 2 need to say more than it does now on that topic?

-MSK

---

From: John C Klensin <[email-masked]>
Date: Sun, 10 Apr 2016 12:43:23 -0400

--On Saturday, April 09, 2016 21:46 -0700 "Murray S. Kucherawy"
<[email-masked]> wrote:

>> Regardless, I would think we would want challenges that said
>> things like "Brian Carpenter really hasn't been active enough
>> in the last couple of years to be able to evaluate the
>> candidates" rather than vaguely suggest that he is isn't
>> suitable.

> Does bullet 3 in Section 2 need to say more than it does now

Murray, I don't know if my concern aligns with Brian's or not,
but I would think that there needs to be some impediment to
secret challenges that are based on innuendo, especially so
because there has traditionally been no appeal model for
challenges (and you don't add one).  On the other hand,
encouraging public slander is not a good idea either.  Perhaps
the text in Section 2 might be improved by: (i) Making it a bit
more clear that, while less that the historical attendance level
is grounds for a challenge, the assumption is that anyone who
applies is qualified and that any challenge has to contain
sufficient information of substance to overcome that
assumptions.  I think that is your intent, but the text is a
little bit less clear and more discretionary.  (ii) Adding a
rule that, if someone is challenged and the Nomcom chair upholds
the challenge and disqualifies the Nomcom applicant, the
challenge and associated correspondence may be made public at
the request of the applicant.  Perhaps the risk of public
disclosure would be sufficient to reduce concerns about possible
abuses

    john

---

From: John C Klensin <[email-masked]>
Date: Sun, 10 Apr 2016 12:59:31 -0400

Murray,

One more thought about the challenge process.  Without
performing the experiment, we can only guess at how many
challenges there would be and that might make a difference.
However, I wonder whether, instead of adding "didn't attend
enough meetings and isn't appropriate" on to the challenge
criteria for post-selection challenges, it might be better to
create a different category and allow challenges on that basis
to people entering the selection pool.

In other words, 

(1) The pool is announced (as today) with the "fewer meetings"
people identified (as you now suggest).

(2) There is a brief period for community challenges to those
who have not attended three of five meetings, paralleling the
period in which the Secretariat checks to be sure those who have
claimed three of five meetings really did attend.

(3) Once we get past step 2, the pool is the pool and, while any
one selected can be challenged under the rules of RFC 7437,
challenges based on meeting attendance are no longer allowed.

I'm not sure, and I'm a tad concerned about DoS attacks (see
above), but it seems to me that might be a little bit cleaner.
It would also have the property that potentially-controversial
challenges based on unsuitability would occur much earlier in
the process, before the random draw is made, and that might be
an advantage.

     john

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 11 Apr 2016 08:29:48 +1200

> Does bullet 3 in Section 2 need to say more than it does now on that topic?

No. "Such a challenge must be
accompanied by an explanation of why that particular member is
not suitable." allows any kind of challenge, including libel.
I'm saying that the only allowable challenge here should be
on the grounds of insufficient recent IETF experience.

2) Therefore, with respect to what John writes below, +1.

   Brian

---

From: Michael Richardson <[email-masked]>
Date: Mon, 11 Apr 2016 10:24:48 -0400

John C Klensin <[email-masked]> wrote:
    > (2) There is a brief period for community challenges to those who have
    > not attended three of five meetings, paralleling the period in which
    > the Secretariat checks to be sure those who have claimed three of five
    > meetings really did attend.

That's not how it works now, btw.
The nomcom chair vets the people as they volunteer.
(I wrote poor ruby to scrape the secretariat provided interface to do it in
bulk.  We might get JSON replies soon...)

This may involve communicating with them to determine if they perhaps changed
employers, or emails, etc.

But, we still have a challenge period in the schedule.